$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 FirewallPolicyRuleMatcherLayer4Config export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  ipProtocol:
    description: |-
      The IP protocol to which this rule applies. The protocol type is required
      when creating a firewall rule. This value can either be one of the
      following well known protocol strings (tcp,udp, icmp, esp,ah, ipip, sctp),
      or the IP protocol number.
    type: string
  ports:
    description: |-
      An optional list of ports to which this rule applies. This field is only
      applicable for UDP or TCP protocol. Each entry must be either an integer
      or a range. If not specified, this rule applies to connections through any
      port.  Example inputs include: ["22"],["80","443"], and ["12345-12349"].
    type: array
    items:
      type: string
